// ignore_for_file: deprecated_member_use

import 'package:didvan/config/theme_data.dart';
import 'package:didvan/views/home/main/widgets/banner.dart';
import 'package:didvan/views/home/widgets/categories.dart';
import 'package:didvan/views/widgets/didvan/text.dart';
import 'package:flutter/material.dart';

class MainPageMainContent extends StatelessWidget {
  const MainPageMainContent({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        const MainPageBanner(
          isFirst: true,
        ),
        const SizedBox(height: 28),
        Center(
          child: Container(
            padding: const EdgeInsets.symmetric(horizontal: 12),
            color: Theme.of(context).colorScheme.background,
            child: DidvanText(
              'دیدوان در یک نگاه',
              color: Theme.of(context).colorScheme.title,
              style: Theme.of(context).textTheme.titleMedium,
            ),
          ),
        ),
        // ],
        // ),
        const Padding(
          padding: EdgeInsets.only(
            left: 20,
            right: 20,
            top: 16,
          ),
          child: MainCategories(),
        ),
      ],
    );
  }
}
